mod camera;
mod window;

mod _plugin {
	use bevy::app::App;
	use bevy::prelude::Plugin;

	pub struct SystemPlugin;
	impl Plugin for SystemPlugin {
		fn build(&self, app: &mut App) {
			app.add_startup_system(super::camera::spawn_2d_camera);
		}
	}
}

pub use camera::default_projection;
pub use window::{window_bounds, VIEWPORT_HEIGHT, VIEWPORT_WIDTH};

pub use _plugin::SystemPlugin;
